Bug 509625 - kernel: fd leak if pipe() is called with an invalid address [rhel-5.4]
kernel: fd leak if pipe() is called with an invalid address [rhel-5.4]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: ---
Assigned To: Cong Wang
Red Hat Kernel QE team
:
Depends On:
Blocks: 533192 509627 509628 509629
  Show dependency treegraph
 
Reported: 2009-07-04 03:54 EDT by Eugene Teo (Security Response)
Modified: 2013-09-29 22:09 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 509627 509628 509629 (view as bug list)
Environment:
Last Closed: 2010-03-30 03:09:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-04 03:54:52 EDT
Description of problem:
fd leak if pipe() is called with an invalid address.

Though -EFAULT is returned, the file descriptors opened by pipe() call are left open.

Reference:
http://patchwork.kernel.org/patch/33640/
Comment 2 Eugene Teo (Security Response) 2009-07-04 04:20:51 EDT
http://www.chineselinuxuniversity.net/patches/43722.shtml
Comment 12 Don Zickus 2009-10-21 15:12:09 EDT
in kernel-2.6.18-170.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 16 errata-xmlrpc 2010-03-30 03:09:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.